<?php

/**
 * Boxx Ai Plugin
 *
 * @category   Boxx
 * @package    Boxx_Ai
 * @author     AIBOXX Solutions Pvt Ltd
 * @user     Boxx Team
 */

?>
<?php /* @var $block \Boxxai\Core\Block\System\Config\Validate */ ?>
<style>
#row_boxxai_section_boxxai_group_product_sync{display:none;}
#row_boxxai_section_boxxai_group_order_sync{display:none;}
#row_boxxai_section_boxxai_group_customer_sync{display:none;}
#row_boxxai_section_boxxai_group_product_pointer{display:none;}
#row_boxxai_section_boxxai_group_customer_pointer{display:none;}
#row_boxxai_section_boxxai_group_campaign_id{display:none;}
</style>
<script>
    require([
        'jquery',
        'prototype'
    ], function(jQuery){


        jQuery('#validate_button').click(function () {
        var collectSpan = jQuery('#validate_span');
        var client_id = jQuery('#boxxai_section_boxxai_group_client_id').val();
        var access_token = jQuery('#boxxai_section_boxxai_group_access_token').val();
        var optimise_for = jQuery('#boxxai_section_boxxai_group_optimize_for').val();
            
            var params = {'client_id':client_id,'access_token':access_token,'optimise_for':optimise_for};
            new Ajax.Request('<?php echo $block->getAjaxUrl() ?>', {
                parameters:     params,
                loaderArea:     false,
                asynchronous:   true,
                onCreate: function() {
                    collectSpan.find('.validate').hide();
                    collectSpan.find('.processing').show();
                    jQuery('#validate_message_span').text('');
                },
                onSuccess: function(response) {
                    collectSpan.find('.processing').hide();

                    var resultText = '';
                    var parsedJson = JSON.parse(response.responseText);

                    if(parsedJson.message != null){
                        resultText = parsedJson.message;
                        //jQuery('.validate_error').show();
                    }else{
                        resultText = 'Success';
                        //jQuery('.validate_success').show();
                    }
                    jQuery('#validate_message_span').text(resultText);

                    jQuery('#boxxai_section_boxxai_group_campaign_id ').val('');
                    var selectedIds = '#boxxai_section_boxxai_group_product_sync, #boxxai_section_boxxai_group_customer_sync, #boxxai_section_boxxai_group_order_sync'

                    jQuery(selectedIds).val(0);

                    if(parsedJson.data.valid){
                        jQuery('#boxxai_section_boxxai_group_campaign_id').val(parsedJson.data.channel_id);
                        jQuery(selectedIds).val("paused");
                    }

                }
            });
        });

    });
</script>

<?php echo $block->getButtonHtml() ?>
<?php $block->setCampaignCurrentID() ?>
<span class="collect-indicator" id="validate_span">
    <span class="processing" style="display:none">Collecting..</span>
    <span class="validate validate_success" style="display:none">Success!</span>
    <span class="validate validate_error" style="display:none">Failed!</span>
    <span id="validate_message_span"></span>
</span>
